Rocket Invoice Version 2.0 Update
May 12, 2014 — The current version of Rocket Invoice is not actively updated, however the next version is in development. It's a ground-up rewrite of the original version to support the latest techniques in PHP development. The new version will require PHP 5.4 or newer (PHP 5.2 will no longer be supported). My goal is to make invoicing incredibly simple... to do this I had to rethink invoicing. Version 2.0 approaches invoicing in a no-fuss, fun, and simplified manner.

Finally, invoicing that's out of your way and lets to get back to what you love to do.

It's a refreshing approach to invoicing. You are going to love it.

Notify me when it's available

Web Server Requirements

PHP 5 and MySQL

Rocket Invoice requires PHP version 5 or greater and MySQL 4 or greater to be installed on your web server.

What's new in Rocket Invoice? Compound taxes, user interface updates and new payment gateways